Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class GLShader

    java.lang.Object
      codeanticode.glgraphics.GLShader

All Implemented Interfaces:
  GLConstants

Direct Known Subclasses:
  GLCgShader, GLSLShader

    public abstract class GLShader

extends java.lang.Object
implements GLConstants

This class defines the basic API of a shader (GLSL or Cg).

Field Summary

Fields inherited from interface codeanticode.glgraphics.GLConstants
`BACKGROUND_ALPHA, COLOR, DOUBLE, FLOAT, FRAGMENT_PROGRAM, GEOMETRY_PROGRAM, GL_DEPTH_STENCIL, GL_DEPTH24_STENCIL8, GL_UNSIGNED_INT_24_8, GLGRAPHICS, IDENTITY_MATRIX, INVERSE_MATRIX, INVERSE_TRANSPOSE_MATRIX, LINE_LOOP, LINE_STRIP, LINEAR, LINEAR_MIPMAP_LINEAR, LINEAR_MIPMAP_NEAREST, NEAREST, NEAREST_MIPMAP_LINEAR, NEAREST_MIPMAP_NEAREST, POINT_SPRITES, SHADER_VAR_FLOAT, SHADER_VAR_INT, SHADER_VAR_MAT2, SHADER_VAR_MAT3, SHADER_VAR_MAT4, SHADER_VAR_MODELVIEW_MAT, SHADER_VAR_MODELVIEW_PROJECTION_MAT, SHADER_VAR_PROJECTION_MAT, SHADER_VAR_TEXTURE_MAT, SHADER_VAR_TEXTURE_SAMPLER, SHADER_VAR_VEC2, SHADER_VAR_VEC3, SHADER_VAR_VEC4, TEX_BYTE, TEX_INT, TEX_NORM, TEX_ONEDIM, TEX_RECT, TRANSPOSE_MATRIX, VERTEX_PROGRAM`

Method Summary
`abstract void` | `loadFragmentShader(java.lang.String file)`
`abstract void` | `loadFragmentShader(java.net.URL url)`
`abstract void` | `loadGeometryShader(java.lang.String file)`
`abstract void` | `loadGeometryShader(java.net.URL url)`
`abstract void` | `loadVertexShader(java.lang.String file)`
`abstract void` | `loadVertexShader(java.net.URL url)`
`abstract void` | `setup()`
`abstract void` | `start()`
`abstract void` | `stop()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### loadVertexShader

    public abstract void loadVertexShader(java.lang.String file)

### loadVertexShader

    public abstract void loadVertexShader(java.net.URL url)

### loadGeometryShader

    public abstract void loadGeometryShader(java.lang.String file)

### loadGeometryShader

    public abstract void loadGeometryShader(java.net.URL url)

### loadFragmentShader

    public abstract void loadFragmentShader(java.lang.String file)

### loadFragmentShader

    public abstract void loadFragmentShader(java.net.URL url)

### setup

    public abstract void setup()

### start

    public abstract void start()

### stop

    public abstract void stop()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library GLGraphics by Andres Colubri. (c) 2008